<?php
/**
 * Search results list - 3 columns layout
 *
 * @package Multi
 */

?>
<main class="main">
<?php get_template_part( 'template-parts/search-header' ); ?>

<?php
if ( have_posts() ) :
	$multimagazine_post_args = multimagazine_postlist_meta_flags();
	?>
	<div class="postlist postlist-columns columns-3 <?php echo esc_attr( multimagazine_get_post_loading_classes() ); ?>">
	<?php
	while ( have_posts() ) {
		the_post();
		get_template_part( 'post-list-parts/post-column', null, $multimagazine_post_args );
	}
	?>
	</div>
	<?php get_template_part( 'template-parts/pager' ); ?>
<?php else : ?>
	<?php get_template_part( 'search-no-results' ); ?></div>
<?php endif; ?>
</main>
